#include <stdio.h>
#define MAX 100 // maximalna velkost pola

// deklaracie funkcii
void f_vstup(float *pole, int n);
int f_min(float *pole, int n);

int main(void)
{
    float pole[MAX];
    int n, p_min;
    // nacitanie poctu prvkov pola
    do
    {
        printf("Zadaj pocet prvkov pola: \n");
        scanf("%d", &n);
    }
    while(n <= 0 || n > MAX);

    // volanie funkcie na nacitanie prvkov pola
    f_vstup(pole,n);

    // vypis vysledku s pomocou funkcie
    printf("\nMinimalny prvok je prvok s hodnotou %f.\n", pole[f_min(pole,n)]);

    return 0;
}

// definicie funkcii
void f_vstup(float *pole, int n)
{
    int i;
    for(i = 0; i < n; i++)
    {
        printf("\nZadaj %d. cislo: \n", i + 1);
        scanf("%f", &pole[i]);
    }
}

int f_min(float *pole, int n)
{
    int i, p_min = 0;
    for(i = 1; i < n; i++)
    {
        if (pole[i] < pole[p_min])
        {
            p_min = i;
        }
    }
    return p_min;
}
