#include <stdio.h>

const int MAX = 10;   // globalna konstanta

// deklaracie funkcii
void nacitanie_matice(float A[][MAX], int m, int n);
void sucet_matic(float A[][MAX], float B[][MAX], float C[][MAX], int m, int n);
void vypis_matice(float A[][MAX], int m, int n);

int main(void)
{
    float A[MAX][MAX], B[MAX][MAX], C[MAX][MAX];
    int m, n;
    // nacitanie rozmerov matic
    do
    {
        printf("Zadaj rozmery vstupnych matic (riadky, stlpce): \n");
        scanf("%d %d", &m, &n);
    }
    while(m <= 0 || m > MAX || n <= 0 || n > MAX);

    // nacitanie prvkov matic
    nacitanie_matice(A, m, n);
    nacitanie_matice(B, m, n);

    // scitanie matic
    sucet_matic(A, B, C, m, n);

    // vypis matic
    vypis_matice(A, m, n);
    printf("\n\t+\t\n");
    vypis_matice(B, m, n);
    printf("\n\t=\t\n");
    vypis_matice(C, m, n);

    return 0;
}

// definicie funkcii
void nacitanie_matice(float A[][MAX], int m, int n)
{
    int i, j;
    printf("Zadaj prvky matice (%d x %d) po riadkoch: \n", m, n);
    for(i = 0; i < m; i++)
    {
        for(j = 0; j < n; j++)
        {
            scanf("%f", &A[i][j]);
        }
    }
}

void sucet_matic(float A[][MAX], float B[][MAX], float C[][MAX], int m, int n)
{
    int i, j;
    for(i = 0; i < m; i++)
    {
        for(j = 0; j < n; j++)
        {
            C[i][j] = A[i][j] + B[i][j];
        }
    }
}

void vypis_matice(float A[][MAX], int m, int n)
{
    int i, j;
    for(i = 0; i < m; i++)
    {
        for(j = 0; j < n; j++)
        {
            printf("%.2f\t", A[i][j]);
        }
        printf("\n");
    }
}
