#include <stdio.h>
#include <math.h>   // sqrt()

// definicie typov struktury
typedef struct bod
{
    float x;
    float y;
} BOD;

typedef struct kruznica
{
    BOD s;
    float r;
} KRUZNICA;

int main(void)
{
    // deklaracia premennych
    BOD a;
    KRUZNICA k;
    float vzd;

    // naciatanie hodnot
    printf("Zadaj suradnice x a y bodu:\n");
    scanf("%f %f", &a.x, &a.y);

    printf("Zadaj suradnice x a y stredu kruznice:\n");
    scanf("%f %f", &k.s.x, &k.s.y);

    do
    {
        printf("Zadaj polomer kruznice:\n");
        scanf("%f", &k.r);
    }
    while(k.r <= 0);

    // vypocet vzdialenosti
    vzd = sqrt((a.x - k.s.x) * (a.x - k.s.x) + (a.y - k.s.y) * (a.y-k.s.y));

    // vyhodnotenie vysledkov
    if(vzd == 0)
        printf("Bod je totozny so stredom kruznice.\n");
    else if(vzd == k.r)
        printf("Bod lezi na kruznici.\n");
    else if(vzd > k.r)
        printf("Bod lezi mimo kruznice.\n");
    else
        printf("Bod lezi v casti roviny ohranicenej kruznicou.\n");

    return 0;
}
