#include <stdio.h>
#include <math.h>

float kr(float a, float b, float c, float *x1, float *x2);   // prototyp funkcie

int main(void)
{
    float a, b, c, x1, x2, p;
    printf("Zadaj koeficienty kvadratickej rovnice a, b, c: \n");
    scanf("%f %f %f", &a, &b, &c);
    while(a == 0)
    {
        printf("Toto nie je spravny parameter; a musi byt rozne od 0.\n");
        printf("Znovu zadaj parameter a:\n");
        scanf("%f", &a);
    }
    p = kr(a, b, c, &x1, &x2);  // volanie funkcie s navratovou hodnotou
    if(p > 0)
        printf("Dva realne rozne korene x1 = %.2f, x2 = %.2f.\n", x1, x2);
    else if(p == 0)
        printf("Realny dvojnasobny koren x1 = x2 = %.2f.\n", x1);
    else
        printf("Riesenie v mnozine komplexnych cisiel.\n");

    return(0);
}

// definicia funkcie
float kr(float a, float b, float c, float *x1, float *x2)
{
    float d;
    d = b * b - 4 * a * c;
    if(d <= 0)
        if(d < 0)
            return d;
        else
        {
            *x1 = *x2 = -b / (2 * a);
            return d;
        }
    else
    {
        *x1 = (-b + sqrt(d)) / (2 * a);
        *x2 = (-b - sqrt(d)) / (2 * a);
        return d;
    }
}
