#include <stdio.h>

const int MAX = 10;

// deklaracie funkcii
void nacitanie_matice(float A[][MAX], int r, int s);
void sucin_matic(float A[][MAX], float B[][MAX], float C[][MAX], int r1, int s1, int s2);
void vypis_matice(float A[][MAX], int r, int s);

int main(void)
{
    float A[MAX][MAX], B[MAX][MAX], C[MAX][MAX];
    int r1, s1, r2, s2;

    // nacitanie rozmerov matic
    do
    {
        printf("Zadaj pocet riadkov 1. matice: \n");
        scanf("%d", &r1);
    }
    while(r1 <= 0 || r1 > MAX);

    do
    {
        printf("Zadaj pocet stlpcov 1. matice: \n");
        scanf("%d", &s1);
    }
    while(s1 <= 0 || s1 > MAX);

    do
    {
        printf("Zadaj pocet riadkov 2. matice: \n");
        scanf("%d", &r2);
    }
    while(r2 <= 0 || r2 > MAX);

    do
    {
        printf("Zadaj pocet stlpcov 2. matice: \n");
        scanf("%d", &s2);
    }
    while(s2 <= 0 || s2 > MAX || r1 != s2);

    // nacitanie prvkov matic
    nacitanie_matice(A, r1, s1);
    nacitanie_matice(B, r2, s2);

    // sucin matic
    sucin_matic(A, B, C, r1, s1, s2);

    // vypis matic
    vypis_matice(A, r1, s1);
    printf("\n\t*\t\n");
    vypis_matice(B, r2, s2);
    printf("\n\t=\t\n");
    vypis_matice(C, r1, s2);

    return 0;
}

// definicie funkcii
void nacitanie_matice(float A[][MAX], int r, int s)
{
    int i, j;
    printf("Zadaj prvky matice (%d x %d) po riadkoch: \n", r, s);
    for(i = 0; i < r; i++)
    {
        for(j = 0; j < s; j++)
        {
            scanf("%f", &A[i][j]);
        }
    }
}

void sucin_matic(float A[][MAX], float B[][MAX], float C[][MAX], int r1, int s1, int s2)
{
    int i, j, k, c;
    for(i = 0; i < r1; i++)
    {
        for(j = 0; j < s2; j++)
        {
            c = 0;
            for(k = 0; k < s1; k++)
            {
                c += A[i][k] * B[k][j];
            }
            C[i][j] = c;
        }
    }
}

void vypis_matice(float A[][MAX], int r, int s)
{
    int i, j;
    for(i = 0; i < r; i++)
    {
        for(j = 0; j < s; j++)
        {
            printf("%.2f\t", A[i][j]);
        }
        printf("\n");
    }
}
