#include <stdio.h>
#include <stdlib.h>
#define N 10

double max(double *pole, int n);
double max_2(double *zaciatok_pola, double *koniec_pola);

int main(void)
{
    double a[N];
    int i;

    for(i = 0; i < N; i++)
    {
        printf("Prvok cislo %d: ",i + 1);
        scanf("%lf",&a[i]);
    }

    printf("Maximum zo zadaneho pola je %10.2lf. \n", max(a, N));
    printf("Maximum od tretieho po siedmy prvok pola je %10.2lf. \n", max(a + 2, 5));
    printf("Maximum od tretieho po siedmy prvok pola je %10.2lf. \n", max_2(a + 2, &a[7]));

    return 0;
}
// definicia funkcie na najdenie maxima
double max(double *pole, int n)
{
    double max = *pole, *p_pom;    // inicializacia max na prvy prvok pola

    // prehladavame uz len zvysok pola
    for (p_pom = pole + 1; p_pom < pole + n; p_pom++)
    {
        if (*p_pom > max)
            max = *p_pom;
    }
    return max;
}

// definicia funkcie na najdenie maxima
double max_2(double *zaciatok_pola, double *koniec_pola)
{
    double max = *zaciatok_pola, *p_pom;   // inicializacia max na prvy prvok pola

    // prehladavame uz len zvysok pola
    for (p_pom = zaciatok_pola + 1; p_pom < koniec_pola; p_pom++)
    {
        if (*p_pom > max)
            max = *p_pom;
    }
    return max;
}

/*
// definicia funkcie na najdenie maxima - ina alternativa
double max(double pole[], int n)
//double max(double *pole, int n)
{
   double *p_max = pole, *p_pom;  // inicializacia pointera, ktory reprezentuje maximum

   for (p_pom = pole + 1; p_pom < pole + n; p_pom++){
       if (*p_pom > *p_max)
         p_max = p_pom;
   }
   return (*p_max);
}
*/
