#include <stdio.h>

int main(void)
{
    // deklaracia pola s inicializaciou, pointerov (p, q, r) a premennych typu int (i, d)
    int a[10] = {1,2,3,4,5,6,7,8,9,10}, *p, *q, *r, i, d;
    printf("Prvky pola: ");
    for(i = 0; i < 10; i++)
    {
        printf("%d ", a[i]);
    }
    printf("\n");

    p = a;          // pointer p reprezentuje zaciatok pola
    *p = 10;        // cez pointer p prepisem hodnotu prveho prvku pola
    q = &a[4];      // do q sa ulozi adresa piateho prvku pola
    printf("Piaty prvok pola %d.\n", *q);
    r = &a[6];  // do r sa ulozi adresa siedmeho prvku pola
    printf("Siedmy prvok pola %d.\n", *r);

    // pricitanie celeho cisla k ukazovatelu
    r += 2; 	// r ukazuje na prvok a[8]
    printf("Deviaty prvok pola %d.\n", *r);

    // odcitanie celeho cisla od ukazovatela
    q -= 1; 	// q ukazuje na prvok a[3]
    printf("Stvrty prvok pola %d.\n", *q);

    // odcitanie dvoch ukazovatelov
    d = r - q; 		// d je 5
    // d = q - r; 	// pozor d je -5
    printf("Pocet prvok medzi a[8] a a[3] je %d.\n", d-1);

    // porovnanie dvoch ukazovatelov + unarna operacia inkrementacie
    p = a;          // zaciatok pola
    q = &a[9];    // koniec pola
    printf("Prvky pola: ");
    for(p; p <= q; p++)
    {
        printf("%d ", *p);
    }

    return 0;
}
