#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (void)
{
    // deklaracia pointera na char
    char * p;

    // alokacia priestoru pre 20 znakov
    if((p = (char *) malloc(20*sizeof(char))) == NULL)
    {
        printf("Nedostatok pamate. Program sa konci.\n");
        return 1;
    }

    // naplenie priestoru retazcom
    strcpy(p, "Algoritmizacia");
    printf("Retazec pred realokaciou: %s\n", p);
    printf("Dlzka retazca: %d znakov.\n", strlen(p));

    // realokacia priestoru pre 40 znakov
    if((p = (char *) realloc(p, 40)) == NULL)
    {
        printf("Nedostatok pamate. Program sa konci.\n");
        free(p);    // uvolnenie predtym alokovanej pamate
        p = NULL;
        return 1;
    }

    // doplnenie existujuceho retazca o dalsi
    strcat(p, " a zaklady programovania.");
    printf("Retazec po realokacii: %s\n", p);
    printf("Dlzka retazca: %d znakov.\n", strlen(p));

    free(p);
    p = NULL;

    return 0;
}
