#include <stdio.h>

// definicia typu struktury
typedef struct
{
    char c;
    int i;
    float f;
} SH;

// definicia typu unionu
typedef union
{
    char c;
    int i;
    float f;
} UH;

int main (void)
{
    // deklaracia premennych
    SH s_hod;
    UH u_hod;

    // inicializacia premennych
    s_hod.c = 'a';
    s_hod.i = 1;
    s_hod.f = 2.5;

    u_hod.c = 'a';
    u_hod.i = 1;
    u_hod.f = 2.5;

    // vyhodnotenie vysledkov
    printf("Hodnoty struktury:\n");
    printf(" s_hod.c = %c\n s_hod.i = %d\n s_hod.f = %f\n", s_hod.c, s_hod.i, s_hod.f);
    printf("Hodnoty unionu:\n");
    printf(" u_hod.c = %c\n u_hod.i = %d\n u_hod.f = %f\n", u_hod.c, u_hod.i, u_hod.f);
    printf("Velkost struktury: %d\n", sizeof(s_hod));
    printf("Velkost unionu: %d\n", sizeof(u_hod));

    return 0;
}
