#include <stdio.h>

int faktorial(int n);  // deklaracia rekurzivnej funkcie
int faktorial_nerekurzivne(int n);  // deklaracia nerekurzivnej funkcie

int main(void)
{
    int n;
    do
    {
        printf("Zadaj cislo, ktoreho faktorial chces vypocitat.\n");
        scanf("%d", &n);
    }
    while(n < 0);

    printf("\nS pomocou rekurzie - %d! = %d \n", n, faktorial(n));
    printf("Nerekurzivne - %d! = %d \n", n, faktorial_nerekurzivne(n));

    return 0;
}

// definicia rekurzivnej funkcie
int faktorial(int n)
{
    if (n < 1)
        return 1;
    else
        return n * faktorial(n - 1);
}

// definicia nerekurzivnej funkcie
int faktorial_nerekurzivne(int n)
{
    int i, fakt = 1;
    for(i = 1; i <= n; i++)
    {
        fakt = i * fakt;
    }
    return fakt;
}
