#include <stdio.h>

// definicia typu struktury
typedef struct vektor
{
    int x, y, z;
} VEKTOR;

int main (void)
{
    // deklaracia pola, prvky su instancie struktury
    VEKTOR vektory[2];

    // definicia dvoch pointerov ako ukazka roznych moznosti pristupu k prvkom pola
    VEKTOR * p_vektor1 = &vektory[0];
    VEKTOR * p_vektor2 = &vektory[1];

    // naplnenie suradnic vektorov
    p_vektor1->x = 1;
    p_vektor1->y = 2;
    p_vektor1->z = 3;
    p_vektor2->x = p_vektor2->y = p_vektor2->z = 1;

    // pouzitie premennej typu struktury - bodkova notacia, pristup k prvkom pola cez index
    printf ("Vektor[0] = (%d, %d, %d)\n", vektory[0].x, vektory[0].y, vektory[0].z);
    printf ("Vektor[1] = (%d, %d, %d)\n", vektory[1].x, vektory[1].y, vektory[1].z);

    // pouzitie premennej typu struktury - sipkova notacia, pristup k prvkom pola cez pointer
    printf ("Vektor[0] = (%d, %d, %d)\n", p_vektor1->x, p_vektor1->y, p_vektor1->z);
    printf ("Vektor[1] = (%d, %d, %d)\n", p_vektor2->x, p_vektor2->y, p_vektor2->z);

    return 0;
}
