#include <stdio.h>
#include <stdlib.h>
#define N 10

double max(double *zaciatok_pola, double *koniec_pola);    // deklaracia funkcie

int main(void)
{
    double *p_pole;   // deklaracia pointera reprezentujuceho pole
    int i;

    // dynamicka alokacia pola
    p_pole = (double *) malloc(N*sizeof(double));
    if(p_pole == NULL)
    {
        printf("Pole sa nepodarilo vytvorit. Nedostatok pamate. Program sa konci.\n");
        return 1;
    }

    // naplnenie pola
    for(i = 0; i < N; i++)
    {
        printf("Prvok cislo %d: ", i + 1);
        scanf("%lf",(p_pole + i));
    }

    // vypis pola
    for(i = 0; i < N; i++)
    {
        printf("Hodnota %d. cislo: %.2lf\n", i + 1, p_pole[i]);
    }

    printf("Maximum od 3. po 7. prvok pola je %0.2lf. \n", max(p_pole + 2, &p_pole[7]));

    // uvolnenie alokovanej pamate
    free(p_pole);
    p_pole = NULL;
    return 0;
}

// definicia funkcie na najdenie maxima
double max(double *zaciatok_pola, double *koniec_pola)
{
    double maximum = *zaciatok_pola, *p_pom;   // inicializacia max na prvy prvok pola

    // prehladavame uz len zvysok pola
    for (p_pom = zaciatok_pola + 1; p_pom < koniec_pola; p_pom++)
    {
        if (*p_pom > maximum)
            maximum = *p_pom;
    }
    return maximum;
}
