#include <stdio.h>
#include <string.h>
#define MAX 10 // maximalna velkost pola

int main (void)
{
    char c, heslo[MAX + 1];
    int i;

    while(1)
    {
        printf ("Zadaj heslo (max. 10 znakov): \n");

        fflush(stdin);  // vycistenie vstupneho buffera
        // toto je osetrenie, aby sa nacitalo maximalne 10 znakov
        i = 0;
        while (1)
        {
            c = getchar();

            if (i >= MAX)
            {
                heslo[i] = '\0';
                break;  // indikuje nedostatok pamate, ukonci sa nacitavanie
            }

            // ulozenie ukoncovacej 0
            if (c == '\n')
            {
                heslo[i] = '\0';
                break;
            }

            heslo[i++] = c; // ulozenie znaku
        }

        printf ("Toto si zadal:\n");
        i = 0;
        while(heslo[i] != '\0')
        {
            putchar(heslo[i++]);
        }
        printf ("\n");

        // otestovanie, ci je zadane heslo totozne s prototypom
        if(strcmp(heslo, "password") == 0)
            break;
        else
            printf ("Toto nie je spravne heslo.\n");
    }

    printf ("Ok. Zadanie hesla bolo uspesne.\n");

    return 0;
}
